Bug 830593 - Review Request: perl-B-Generate - Create your own op trees
Review Request: perl-B-Generate - Create your own op trees
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 15:54 EDT by Iain Arnell
Modified: 2012-09-17 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 19:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-06-10 15:54:30 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-B-Generate.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-B-Generate-1.44-1.fc18.src.rpm
Description: 
The B module allows you to examine the Perl op tree at run-time, in Perl
space; it's the basis of the Perl compiler. But what it doesn't let you do
is manipulate that op tree: it won't let you create new ops, or modify old
ones. Now you can.

Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=4146650
Comment 1 Robin Lee 2012-06-14 23:35:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: perl-B-Generate-1.44-1.fc18.i686.rpm :
     /usr/lib/perl5/vendor_perl/auto/B/Generate/Generate.so


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint perl-B-Generate-1.44-1.fc18.i686.rpm

perl-B-Generate.i686: E: incorrect-fsf-address /usr/share/doc/perl-B-Generate-1.44/Copying
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


rpmlint perl-B-Generate-1.44-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-B-Generate-debuginfo-1.44-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/cheese/Downloads/830593/B-Generate-1.44.tar.gz :
  MD5SUM this package     : dd6faef5896ab4dcc5887a14e3f0970d
  MD5SUM upstream package : dd6faef5896ab4dcc5887a14e3f0970d

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint perl-B-Generate-1.44-1.fc18.i686.rpm

perl-B-Generate.i686: E: incorrect-fsf-address /usr/share/doc/perl-B-Generate-1.44/Copying
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


rpmlint perl-B-Generate-1.44-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-B-Generate-debuginfo-1.44-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 2 Iain Arnell 2012-06-15 08:41:58 EDT
(In reply to comment #1)
> 
> rpmlint perl-B-Generate-1.44-1.fc18.i686.rpm
> 
> perl-B-Generate.i686: E: incorrect-fsf-address
> /usr/share/doc/perl-B-Generate-1.44/Copying
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Reported upstream https://rt.cpan.org/Ticket/Display.html?id=77840
Comment 3 Robin Lee 2012-08-18 01:09:20 EDT
Upstream 1.45 fixed the incorrect-fsf-address issue.
Comment 5 Robin Lee 2012-08-18 10:27:29 EDT
Approved by cheeselee
Comment 6 Iain Arnell 2012-08-19 09:30:26 EDT
New Package SCM Request
=======================
Package Name: perl-B-Generate
Short Description: Create your own op trees
Owners: iarnell
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2012-08-19 15:56:04 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-20 07:37:42 EDT
perl-B-Generate-1.45-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-B-Generate-1.45-1.fc17
Comment 9 Fedora Update System 2012-08-20 07:37:53 EDT
perl-B-Generate-1.45-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-B-Generate-1.45-1.fc16
Comment 10 Fedora Update System 2012-08-20 07:38:03 EDT
perl-B-Generate-1.45-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-B-Generate-1.45-1.fc18
Comment 11 Fedora Update System 2012-08-20 15:49:45 EDT
perl-B-Generate-1.45-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-08-28 19:26:10 EDT
perl-B-Generate-1.45-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-08-28 19:28:14 EDT
perl-B-Generate-1.45-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-09-17 18:09:58 EDT
perl-B-Generate-1.45-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.